#! /bin/sh
TARGETS="SUN* TAHOE* MIPS* VAX* 4D*"
cat <<'EOF'
#	%M%	%I%	%E%
#
# Multi-machine Makefile Template
#
EOF
echo "CONF=	`pwd`"
cat <<'EOF'
SHELL=	/bin/sh
DESTDIR=
ALL=	HOST

all:	${ALL}

FRC:
EOF
for i in $TARGETS
do
sed "s/TARGET/$i/g" <<'EOF'

TARGET:	TARGET/Makefile FRC
	cd TARGET; make ${MFLAGS}

TARGET/Makefile: ${CONF}/site.m4 ${CONF}/TARGET conf/Makefile.m4
	m4 ${CONF}/site.m4 ${CONF}/TARGET conf/Makefile.m4 > TARGET/Makefile
	cd TARGET; make ${MFLAGS} depend
EOF
done
cat <<'EOF'

clean depend install installh:
	for i in ${ALL} ; do \
	    if test "$$i" = "HOST"; then \
		i=`${CONF}/whichmach`; \
	    fi ; \
	    if test -d $$i; then \
		if test ! -r $$i/Makefile; then \
		    make ${MFLAGS} $$i/Makefile; \
		fi; \
		(cd $$i; make ${MFLAGS} DESTDIR=${DESTDIR} $@); \
	    fi; \
	done

HOST:
	@MACH=`${CONF}/whichmach`; echo making $$MACH; make $$MACH
EOF
